﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace WpfApplication1
{
   public class ObjectToTypeStringConverter : IValueConverter
   {
      public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
      {
         String typeName = String.Empty;
         Type valueType = value as Type;

         if (valueType != null)
         {
            typeName = valueType.Name;
         }

         return typeName;
      }

      public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
      {
         // We don't need this 
         throw new Exception("Can't convert back");
      }
   }
}
