﻿using System;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Markup;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;


namespace WpfApplication1
{

   /// <summary>
   /// Interaction logic for Window1.xaml
   /// </summary>
   public partial class Window1
   {
      public Window1()
      {
         InitializeComponent();

         DataTable dataTable = new DataTable();
                 
         for (int i= 1; i < 10; i++)
         {
            dataTable.Rows.Add(new RowContainer() { Value = 37 / i });
         }

         DataContext = dataTable;

         paramGrid.Language = XmlLanguage.GetLanguage("de-DE");
      }

      private void XamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
      {
         UnboundField unboundField = new UnboundField
         {
            BindingPath = new PropertyPath("Value"),
            BindingMode = BindingMode.TwoWay,
            Settings = new FieldSettings
            {
               EditAsType = typeof(Double),
               AllowCellVirtualization = false,
               AllowLabelVirtualization = false,
               AllowGroupBy = false
            }
         };

         if (Resources.Contains("DefaultCvp"))
         {
            unboundField.Settings.CellValuePresenterStyle = (Style)Resources["DefaultCvp"];
         }

         // Add field to dield collection.
         paramGrid.FieldLayouts[0].Fields.Add(unboundField);
      }

      private void Button_Click(object sender, RoutedEventArgs e)
      {

      }
   }
}
